//______________________________________________________________________________
//   |       |
//   | knipp |           Knipp Medien und Kommunikation GmbH
//    -------
//
//
//     Knipp RRI Toolkit
//
//
//     Copyright (C) 2005 by Knipp Medien und Kommunikation GmbH
//
//     This library is free software; you can redistribute it and/or
//     modify it under the terms of the GNU Lesser General Public License 
//     as published by the Free Software Foundation; either version 2.1 
//     of the License, or any later version.
// 
//     This library is distributed in the hope that it will be useful, 
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
//     GNU Lesser General Public License for more details.
//
//     You should have received a copy of the GNU Lesser General
//     Public License along with this library; if not, write to the 
//     Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//     Boston, MA 02111-1307 USA 
//
//
//     initial author:    Klaus Malorny
//
//     version:           1.3 (15112), 2011/05/27 16:00:14
//                        $Revision: 14936 $ 
//                        $Date: 2010-11-05 15:57:40 +0100 (Fri, 05 Nov 2010) $
//                        $Author: Klaus.Malorny $
//

package de.knipp.rritoolkit;

/**
 *  this class contains various constants used in the context of RRI requests
 *
 *  @version  $Revision: 14936 $
 *  @author   Klaus Malorny
 */

public class DenicConstants
{
  /** the protocol version for the KV representation */
  
  public static final String RRI_VERSION = "2.0";
  
  
  /** the "global" XML namespace */
  
  public static final String NS_GLOBAL = "http://registry.denic.de/global/1.0";
  
  
  /** the typical prefix for the "global" XML namespace */
  
  public static final String PREFIX_GLOBAL = "";
  
  
  /** the "domain" XML namespace */
  
  public static final String NS_DOMAIN = "http://registry.denic.de/domain/1.0";
  
  
  /** the typical prefix for the "domain" XML namespace */
  
  public static final String PREFIX_DOMAIN = "domain";
  
  
  /** the "contact" XML namespace */
  
  public static final String NS_CONTACT = 
    "http://registry.denic.de/contact/1.0";
  
  
  /** the typical prefix for the "contact" XML namespace */
  
  public static final String PREFIX_CONTACT = "contact";
  
  
  /** the "transaction" XML namespace */
  
  public static final String NS_TXN = 
    "http://registry.denic.de/transaction/1.0";

  
  /** the typical prefix for the "transaction" namespace */
  
  public static final String PREFIX_TXN = "tr";
  
  
  /** the "dnsentry" XML namespace */
  
  public static final String NS_DNS_ENTRY = 
    "http://registry.denic.de/dnsentry/1.0";
  
  
  /** the typical prefix for the "dnsentry" namespace */
  
  public static final String PREFIX_DNS_ENTRY = "dnsentry";
  
  
  /** the "message" XML namespace */
  
  public static final String NS_MESSAGE = "http://registry.denic.de/msg/1.0";
  
  
  /** the typical prefix for the "message" namespace */
  
  public static final String PREFIX_MESSAGE = "msg";
  
  
  /** the XML Schema Instance namespace */
  
  public static final String NS_XSI =
    "http://www.w3.org/2001/XMLSchema-instance";
  
  
  /** the typical prefix for the XML Schema Instance namespace */
  
  public static final String PREFIX_XSI = "xsi";


  /**
   *  private constructor to prevent instantiation
   */

  private DenicConstants ()
  {
    // empty
  }
}



