//______________________________________________________________________________
//   |       |
//   | knipp |           Knipp Medien und Kommunikation GmbH
//    -------
//
//
//     Knipp RRI Toolkit
//
//
//     Copyright (C) 2005 by Knipp Medien und Kommunikation GmbH
//
//     This library is free software; you can redistribute it and/or
//     modify it under the terms of the GNU Lesser General Public License 
//     as published by the Free Software Foundation; either version 2.1 
//     of the License, or any later version.
// 
//     This library is distributed in the hope that it will be useful, 
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
//     GNU Lesser General Public License for more details.
//
//     You should have received a copy of the GNU Lesser General
//     Public License along with this library; if not, write to the 
//     Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//     Boston, MA 02111-1307 USA 
//
//
//     initial author:    Klaus Malorny
//
//     version:           1.3 (15112), 2011/05/27 16:00:14
//                        $Revision: 15112 $ 
//                        $Date: 2011-05-27 15:48:22 +0200 (Fri, 27 May 2011) $
//                        $Author: Klaus.Malorny $
//

package de.knipp.rritoolkit.dns;


/**
 *  abstract implementation of {@code DnsEntryVisitor} with all
 *  methods empty
 *
 *  @version  $Revision: 15112 $
 *  @author   Klaus Malorny
 */

public abstract class AbstractDnsEntryVisitor implements DnsEntryVisitor
{
  /**
   *  visited by a DnsEntryA instance
   *
   *  @param entry                 the entry
   */

  @Override
  public void visit (DnsEntryA entry)
  {
    // empty
  }



  /**
   *  visited by a DnsEntryAAAA instance
   *
   *  @param entry                 the entry
   */

  @Override
  public void visit (DnsEntryAAAA entry)
  {
    // empty
  }



  /**
   *  visited by a DnsEntryMX instance
   *
   *  @param entry                 the entry
   */

  @Override
  public void visit (DnsEntryMX entry)
  {
    // empty
  }



  /**
   *  visited by a DnsEntryA instance
   *
   *  @param entry                 the entry
   */

  @Override
  public void visit (DnsEntryNS entry)
  {
    // empty
  }



  /**
   *  visited by a DnsEntryDNSKEY instance
   *
   *  @param entry                 the entry
   */

  @Override
  public void visit (DnsEntryDNSKEY entry)
  {
    // empty
  }
  
}



