//______________________________________________________________________________
//   |       |
//   | knipp |           Knipp Medien und Kommunikation GmbH
//    -------
//
//
//     Knipp RRI Toolkit
//
//
//     Copyright (C) 2005 by Knipp Medien und Kommunikation GmbH
//
//     This library is free software; you can redistribute it and/or
//     modify it under the terms of the GNU Lesser General Public License 
//     as published by the Free Software Foundation; either version 2.1 
//     of the License, or any later version.
// 
//     This library is distributed in the hope that it will be useful, 
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
//     GNU Lesser General Public License for more details.
//
//     You should have received a copy of the GNU Lesser General
//     Public License along with this library; if not, write to the 
//     Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//     Boston, MA 02111-1307 USA 
//
//
//     initial author:    Klaus Malorny
//
//     version:           1.3 (15112), 2011/05/27 16:00:14
//                        $Revision: 14936 $ 
//                        $Date: 2010-11-05 15:57:40 +0100 (Fri, 05 Nov 2010) $
//                        $Author: Klaus.Malorny $
//

package de.knipp.rritoolkit.message;


/**
 *  abstract implementation of {@code MessageVisitor} with all
 *  methods empty
 *
 *  @version  $Revision: 14936 $
 *  @author   Klaus Malorny
 */

public abstract class AbstractMessageVisitor implements MessageVisitor
{
  /**
   *  called by a ChangeProvAuthInfo message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (ChangeProvAuthInfoMessage msg)
  {
    // empty
  }
  
  
  /**
   *  called by a DomainExpire message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (DomainExpireMessage msg)
  {
    // empty
  }
  
  
  /**
   *  called by a DomainExpireWarning message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (DomainExpireWarningMessage msg)
  {
    // empty
  }

  
  /**
   *  called by a AuthInfoExpire message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (AuthInfoExpireMessage msg)
  {
    // empty
  }



  /**
   *  called by a AuthInfo2Notify message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (AuthInfo2NotifyMessage msg)
  {
    // empty
  }


  /**
   *  called by a DeleteLegal message
   *
   *  @param msg                         the message
   */

  @Override
  public void visit (DeleteLegalMessage msg)
  {
    // empty
  }


}



